Friend can't run a rom on his Gateway but I can?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Distrance, Nov 16, 2016.

  1. Distrance
    OP

    Distrance 矢澤にこ

    Member
    1,135
    424
    Nov 23, 2008
    Finland
    My friend just bought an used 3DS with Gateway, but he cannot run the custom Fire Emblem Fates rom I have which I acquired from xxxx. When he launches the game the game apparently just loads infinitely and nothing ever happens. It works just fine on my 3DS and I sent him literally the file I'm using from my 3DS.

    Neither of us really know anything about modding or Gateway so I can't really tell him what's wrong :c. I bought my New 3DS used as well with Gateway installed.

    Would it be safe to assume he needs to update his Gateway? Both of us want to update our Gateway regardless for Pokemon Sun/Moon, but like I said before I don't know anything about modding and I don't want to brick my console .. :c.
     
    Last edited by Distrance, Nov 16, 2016
  2. Exavold

    Exavold GBAtemp Advanced Fan

    Member
    995
    1,043
    Nov 9, 2015
    France
    (Pssh , you should delete the site's name from your post)
     
  3. Mikemk

    Mikemk GBAtemp Maniac

    Member
    1,484
    517
    Mar 26, 2015
    United States
    You should both update to a9lh and download the games directly from Nintendo's CDN. As an added bonus, the money you gain selling your gateways will be enough to buy legit pokemon carts.

    Regarding the actual question, IDK
     
  4. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,445
    4,762
    Mar 17, 2010
    Norway
    Alola
    Update the launcher.dat then update your emuNAND through System Settings (make sure you're in emuNAND right before updating)
     
  5. Distrance
    OP

    Distrance 矢澤にこ

    Member
    1,135
    424
    Nov 23, 2008
    Finland
    Ha ha ha very funny. I don't know what a9lh is and even if I did it wouldn't matter. I got my Gateway specifically to play custom roms, idk about my friend. I can't fucking stand eng dubs on JRPG's and I doubt Nintendo's CDN hosts modded roms :rolleyes:

    Problem is as I said before, I know nothing about updating gateway. Where's this "launcher.dat"? And how to update safely? Is updating with Nintendo's own update feature okay? If I understood correctly when you said "be in emuNAND" I need to launch Gateway through the DS Profile Exploit, and when I return to home screen I'm now in emuNAND? How can I make sure I am in emuNAND after launching the exploit?
     
  6. Ante0

    Ante0 GBAtemp Regular

    Member
    205
    63
    Jan 20, 2014
    go to gateways website, download latest firmware under Downloads. Extract and copy Launcher.dat to your 3ds' sdcard (the one in the 3ds). Put sdcard back into your 3ds, boot and go to emunand, go to settings and update your 3ds (make sure you're in emunand before updating!). Your version should read "GWx.xx." if you're in emunand, iirc.
     
  7. Distrance
    OP

    Distrance 矢澤にこ

    Member
    1,135
    424
    Nov 23, 2008
    Finland
    Don't you have to do something to update GW tho or is the launcher.dat enough? Cuz when you boot to Gateway and hold L-trigger it has the option to "Update Gateway" or do I need to use that? I asked my friend and his GW is on 3.2 Ultra so that might be why all games aren't working for him?

    So after I go to emuNAND and update it from the settings the emuNAND will be latest firmware but sysNAND will still be 9.0.0-20E?

    Also the SD card that's inside my 3DS currently is pretty small. If I install CIA's etc they go into that SD card right? If so, I need to change my SD card. How do I do that when it comes to gateway? Would copying the files to the new SD card be sufficient or do you need to install Gateway again? :S
     
    Last edited by Distrance, Nov 16, 2016
  8. Ante0

    Ante0 GBAtemp Regular

    Member
    205
    63
    Jan 20, 2014
    I'm not sure what the "Update Gateway" option does, I've never used it. Though I stopped using Gateway quite a while ago... Just replacing Launcher.dat is enough.
    It's probably because he's not updated his emunand in a while.

    Your Sysnand will remain intact, only Emunand will be updated, but make sure you see the "GW3D" text before the version in settings. If you don't see it you're in sysnand and updating there would update your sysnand.
    CIAs you install go to your sdcard yes (CIAs that install to NAND still go to sdcard, but to the hidden emunand partition since you're using emunand). You'd have to use a tool like https://gbatemp.net/threads/emunand-tool-release-and-support-thread.359239/ to make a 1:1 copy of your sdcard and write it to your new sdcard, else your emunand won't transfer. I'm also not sure if that tool is good anymore, but worth a shot.
    This method can be used aswell https://gbatemp.net/threads/how-to-transfer-emunand-to-another-sd-card-working-on-new3ds.383684/
     
    Last edited by Ante0, Nov 16, 2016